- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ReadFile.cpp File Reference

`#include <osg/Notify>`
`#include <osg/Object>`
`#include <osg/Image>`
`#include <osg/Node>`
`#include <osg/Group>`
`#include <osg/Geode>`
`#include <osg/ShapeDrawable>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`

Include dependency graph for ReadFile.cpp:

## Functions
Object * | osgDB::readObjectFile (const std::string &filename, const ReaderWriter::Options *options)
| Read an osg::Object from file.
Image * | osgDB::readImageFile (const std::string &filename, const ReaderWriter::Options *options)
| Read an osg::Image from file.
HeightField * | osgDB::readHeightFieldFile (const std::string &filename, const ReaderWriter::Options *options)
| Read an osg::HeightField from file.
Node * | osgDB::readNodeFile (const std::string &filename, const ReaderWriter::Options *options)
| Read an osg::Node from file.
Node * | osgDB::readNodeFiles (std::vector< std::string > &commandLine, const ReaderWriter::Options *options)
| Read an osg::Node subgraph from files, creating a osg::Group to contain the nodes if more than one subgraph has been loaded.
Node * | osgDB::readNodeFiles (osg::ArgumentParser &arguments, const ReaderWriter::Options *options)
| Read an osg::Node subgraph from files, creating a osg::Group to contain the nodes if more than one subgraph has been loaded.